// #autoload
// #name = Vice Flag Call
// #version = 1.0
// #date = 22 June 2003
// #status = It's here aint it!!!
// #author = @-Kaiten Commander
// #warrior = Kaiten Commander
// #email = kaiten@cb-tribes.co.uk
// #web = http://www.kaiten.barrysworld.net
// #description = Keypress for Flag Call
// #credit = Vicelord-

if (!isObject(ViceFlag))
{
	new ScriptObject(ViceFlag)
	{
        	class = ViceFlag;
        };
}

package ViceFlagCall
{
	function OptionsDlg::onWake(%this)
	{
		if (!ViceFlag.bind)
		{
			$RemapName[$RemapCount]="Flag Call";
			$RemapCmd[$RemapCount]="ViceFlagCall";
			$RemapCount++;
			ViceFlag.bind = true;
		}
            	parent::onWake( %this );
	}
	
	function clientCmdSetPilotVehicleKeys()
	{
		passengerKeys.copyBind( moveMap, ViceFlagCall);
	 	parent::clientCmdSetPilotVehicleKeys();
	}

	function clientCmdSetPassengerVehicleKeys()
	{
		passengerKeys.copyBind( moveMap, ViceFlagCall);
		parent::clientCmdSetPassengerVehicleKeys();
	}       	
};
activatepackage(ViceFlagCall);

function ViceFlagCall(%val)
{
	if(%val)
	{
		if(ViceFlag.held)
			%msg = 'ChatCmdTakeFlag';
		else
		 	%msg = 'ChatCmdGiveMeFlag';

		commandToServer( 'CannedChat', %msg, false );
	}
}		

function ViceJoin(%msgType, %msgString, %clientName, %clientId, %targetId, %isAI, %isAdmin, %isSuperAdmin, %isSmurf, %guid)
{
	if(StrStr(%msgString, "Welcome to Tribes") != -1)
	{
		ViceFlag.clientid = %clientId;
		ViceFlag.clientname = %clientName;
		ViceFlag.held = false;
	}
}

function ViceJoinTeam(%msgType, %msgString, %clientName, %teamName, %clientId, %teamId)
{
	if (ViceFlag.clientid == %clientid)
	{
		ViceFlag.team = %teamid;
		ViceFlag.held = false;
	}	
}

function ViceFlagTaken(%msgType, %msgString, %clientName)
{
	if (ViceFlag.clientname $= %clientName)
		ViceFlag.held = true;
}

function ViceFlagOther(%msgType, %msgString, %clientName, %teamname, %teamid, %a4)
{
	if (ViceFlag.team != %teamid)
		ViceFlag.held = false;
}

function ViceFlagGamOver()
{
	ViceFlag.held = false;
}

addMessageCallback('MsgGameOver',ViceFlagGamOver);
addMessageCallback('MsgCTFFlagTaken',ViceFlagTaken);
addMessageCallback('MsgCTFFlagDropped',ViceFlagOther);
addMessageCallback('MsgCTFFlagCapped',ViceFlagOther);
addMessageCallback('MsgClientJoin',ViceJoin);
addMessageCallback('MsgClientJoinTeam',ViceJoinTeam);